//#include "defines.h"

//ir
#define ir_verbose 0 //adr + cmd anzeigen
#define ir_in_port			D//: Dat-Gnd-Vcc
#define ir_in_pin 			2
#define ir_pin !(PIN(ir_in_port) & (1<<ir_in_pin))
#define F_IR		   	82//

#define IR_ADR_FB 72

//================= sensor =============================
// 
//______________
//    ______
//     ____
// 1     2     3
//DAT   GND   VCC
//=======================================================



extern u8 fb_yellow_mnu;	
extern volatile u8 fb_color_mnu;	

void ir_sens_init(void);
u16 ir_signal(void);
void signalauswertung(void);
void ir_init(void);



//Tastenbelegung:
#define fb_left 0xdd
#define fb_right 0x3d
#define fb_up 0x9d
#define fb_down 0x57
#define fb_0 0xb5
#define fb_1 0x97
#define fb_2 0x67
#define fb_3 0x4f
#define fb_4 0xcf
#define fb_5 0xe7
#define fb_6 0x85
#define fb_7 0xef
#define fb_8 0xc7
#define fb_9 0xa5
#define fb_ok 0xfd
#define fb_stern 0xbd
#define fb_raute 0xad












