#include "main.h"


//
#if use_no_lcd
//#define lcdxx 1
#include "colors.h"
#endif
//
#if use_i2c_lcd
//#define lcdxx 1
#include "colors.h"
#include "i2clcd.h"
#endif

#if use_ili_tft

//#define lcdxx 2
#include "colors.h"
#include "ili9320.h"
extern uint16_t backcolor,frontcolor;
extern v u16 graphbackcolor;
/**/
#endif



//==============================================

void lcd_init(void);
void lcd_goto(uint8_t line, uint8_t col );
void lcd_char(uint8_t lcddata);
void lcd_int2(uint8_t int1);
void lcd_int3(uint16_t int1);
void lcd_int4(uint16_t int1);
void li4(i16 x);
void lcd_int(int32_t dat);
//void lix(int32_t dat);
void lcd_write(uint8_t *string);
void lcd_clear(uint16_t color);
void lcd_time(void);
void lcd_light(u8 onoff);
void lcd_hex16(uint16_t byteX);
void lcd_id(u8 *ptid);
void  lcd_hx(uint8_t byteX);
void lcd_bitweise(u8 byteX);

#define lg lcd_goto
#define li(x) lcd_int(x)
#define lgi(x,y,z)  lcd_goto(x,y);lcd_int(z)
#define lw lcd_write
#define lgw(x,y,z)  lcd_goto(x,y);lcd_write(z)
