void lcd_char( uint8_t ASCI);
void lcd_write(uint8_t* str);
void lcd_goto(uint8_t Zeile,uint8_t Spalte);




char hextablex[18] = "0123456789ABCDEF";

//--------------------------------------------------
void lcd_int(int32_t dat){
uint8_t dum[8]={'0','0','0','0','0','0','0','\0'};
u8 n=0,z=0,pt=0;
if(dat==0)pt++;

if(dat<0){
n=1;dat=-dat;
}

while(dat){
z=dat%10;
dat=dat/10;
dum[6-pt]=z+48;
pt++;
}

if(n){
dum[6-pt]='-';
pt++;
}

//printf( "string %s \n", (dum+(7-pt)));
lcd_write(dum+(7-pt));
}

//-------------------------------------------
  void  lcd_hx(uint8_t byteX)
  //
  {
  uint8_t x;
char dummy[3]={'0','0','\0'};
  x=byteX/16;
 	/*	if(x<10){
		dummy[1]=(x+48);
		}else{
		dummy[1]=(x+55);
		}*/
        
       dummy[0]= hextablex[x];
        
        
	 x=byteX%16;
	/*	if(x<10){
		dummy[2]=(x+48);
		}else{
		dummy[2]=(x+55);
		}*/
       dummy[1]= hextablex[x];
        
	lcd_write(dummy);	
		
  }
  
   void  lcd_hex(uint8_t byteX)
  //
  {
  lcd_write("x");
  lcd_hx(byteX);
}
//============================================================

  void  lcd_hex16(uint16_t byteX)
  //
  {
 //byteX =65000;
  uint8_t x;
char dummy[6]={'x','0','0','0','0','\0'};
  x=byteX/4096;
 		if(x<10){
		dummy[1]=(x+48);
		}else{
		dummy[1]=(x+55);
		}
  x=(byteX%4096)/256;
 		if(x<10){
		dummy[2]=(x+48);
		}else{
		dummy[2]=(x+55);
		}
		
	 x=(byteX%256)/16;
		if(x<10){
		dummy[3]=(x+48);
		}else{
		dummy[3]=(x+55);
		}
	 x=(byteX%16);
		
 		if(x<10){
		dummy[4]=(x+48);
		}else{
		dummy[4]=(x+55);
		}
	lcd_write(dummy);	
		
  }
  
 //---------------------------------------------------- 
 li4(i16 x){
	uint8_t dum[5]={' ',' ',' ','0','\0'};
	u8 neg=0;
if (x!=0)	
{
	
if (x<0){x=x*-1;neg=1;}

    if (x>999){
        dum[0]=(x/1000+48);
        x=x%1000;
		dum[1]='0';
		dum[2]='0';
		
        }
	
    if (x>99){
        dum[1]=(x/100+48);
        x=x%100;
		if(neg){neg=0;dum[0]='-';}
 		dum[2]='0';
       }
    if (x>9){
        dum[2]=(x/10+48);
        x=x%10;
		if(neg){neg=0;dum[1]='-';}
        }
         dum[3]=(x+48);
 		if(neg){dum[2]='-';}


}
    lcd_write(dum);
}
 
//---------------------------------------------------- 
 
void lcd_id(u8 *ptid){

	uint8_t dum[17]={48,48,48,48,48,48,48,48,48,48,48,48,48,48,48,48,'\0'};
	u8 i,x;
	for(i=0;i<8;i++){
	x=ptid[i]/16;
	
		if(x<10){
		dum[i*2]=(x+48);
		}else{
		dum[i*2]=(x+55);
		}
	x=ptid[i]%16;
	
		if(x<10){
		dum[i*2+1]=(x+48);
		}else{
		dum[i*2+1]=(x+55);
		}
	}
lcd_write(dum);

}  
//---------------------------------------------------- 
void lcd_int2(uint8_t int1){
	uint8_t dum[3]={'0','0','\0'};
    if (int1>9){
        dum[0]=(int1/10+48);
        int1=int1%10;
        }
        dum[1]=int1+48; 
        
     lcd_write(dum);
}

void lcd_int3(uint16_t int1){
	uint8_t dum[4]={' ',' ',48,'\0'};
	u8 s1=0;

    if (int1>99){
        dum[0]=(int1/100+48);
		s1=1;
		}
        int1=int1%100;

    if (int1>9 || s1){
        dum[1]=(int1/10+48);
		}
        int1=int1%10;
        
        dum[2]=int1+48; 
	 
        
     lcd_write(dum);
}

void lcd_int4(int16_t int1){
	uint8_t dum[5]={' ',' ',' ',48,'\0'};
	u8 s1=0,n=0,zln=2;
	

if(int1<0){
n=1;int1=-int1;
}

	

    if (int1>999){
        dum[0]=(int1/1000+48);
		s1=1;
		zln=0;
		}
        int1=int1%1000;

    if (int1>99 || s1){
        dum[1]=(int1/100+48);
		s1=1;
		if(zln==2)zln=0;
		}
        int1=int1%100;

    if (int1>9 || s1){
        dum[2]=(int1/10+48);
		if(zln==2)zln=1;
		}
        int1=int1%10;
        
        dum[3]=int1+48; 
		
	 if(n)dum[zln]='-';
        
     lcd_write(dum);
}
/*
//============================================================
void lcd_int4(uint8_t int1){
	uint8_t dum[5]={48,48,48,48,'\0'};
    if (int1>9){
        dum[0]=(int1/1000+48);
        int1=int1%1000;
        }
        dum[1]=(int1/100+48);
        int1=int1%100;
        }
        dum[2]=(int1/10+48);
        int1=int1%10;
        }
        dum[3]=int1+48; 
        
     lcd_write(dum);
}*/
//============================================================

//---------------------------------------------------- 

//---------------------------------------------------- 


//---------------------------------------------------- 

//---------------------------------------------------- 


//---------------------------------------------------- 

//---------------------------------------------------- 


//---------------------------------------------------- 

//---------------------------------------------------- 




