#ifndef _ds1820_v3_h
#define _ds1820_v3_h

//================= ds18b20 =============================
//    ____
// ___________
//_____________
// 1   2   3
//GND DAT VCC
//=======================================================
//pinout 

#define ds1820_verbose 01



#define ds1820_port D
#define ds1820_pin  7
#define Xds1820_anz_sensor 8
#define lcd_zeilen 4


#define eep_ds1820_adr  130
//Tastaturabfrage für Speicherung neuer Sensoren
#define ds1820_tast_port		tast0_port
#define ds1820_tast_pin 		tast0_pin
#define tastds1820				!(pinVAL(tast0_port,tast0_pin))


void  ds1820_init(void);
void  ds1820_start_meas( void );
void  ds1820_find_ids( void );
void  sensors_show(void);
void  eep_show(u8 sel);
void  eeprom_in_array_einlesen(void);

i16   single_read (u8 sens_nr);
void  ds_disp_sens(u8 ct);
u8 ds1820_read_measure(void);

unsigned char w1_reset(void);
unsigned int w1_byte_rd( void );
unsigned int w1_byte_wr( unsigned char b );
void write_id_in_eep (u8 *pt, u8 sens_nr);
void read_allids_from_eep_in_rom ();


extern u8 ds1820_anz_sensor	;
extern int16_t 		ds1820_val[Xds1820_anz_sensor];
extern int16_t 		ds1820_tmp[Xds1820_anz_sensor];
//extern int16_t 		ds1820_store[ds1820_anz_sensor];
//extern uint16_t    	ds1820_id [ds1820_anz_sensor];
//extern uint16_t    	ds1820_eep[ds1820_anz_sensor];
extern u8 sel_sensor, cur_alt, sel_eep;

extern u8 ds1820ids[8*Xds1820_anz_sensor];
extern u8 ds1820ids_tmp[8*Xds1820_anz_sensor];


#endif
