#include <avr/io.h>
#include <stdlib.h>
#include <string.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>
#include <avr/eeprom.h>
#define globals_main
#include "main.h"
#include <util/delay.h>
#include "lcd_select.h"
#include "irint.h"
#include "ds1820_v5.h"






void main(void){
u8 i;


led1_init;
init_timer_smh();
lcd_init();
lcd_write("test");
ir_sens_init();
ds1820_init();



lcd_goto(1,1);
lcd_int2(hou);lw(":");
lcd_int2(min);lw(":");

while(1){
	if(!down_timer1 && ir_start){
		sub_ir_end();
	}

//+++++++++++++++ owx polling ++++++++++++++++++++	
//--------------- owx polling --------------------	


if (sec_change){
	sec_change=0;
	if(!ir_mnu_status){	// sperrt sec-scheduler
		lcd_goto(1,7);//              =
		lcd_int2(sec);//              =
	
		if(timer_anzeige){
			timer_anzeige--;
				if(!timer_anzeige){
				lcd_goto(1,17);
				lcd_write("    ");
				}
		}
//+++++++++++++++ sec ++++++++++++++++++++	
if (sec%20==10){
	ds1820_start_meas();
}


if (sec%20==12){
	ds1820_read_measure();	

	for(i=0;i<ds1820_anz_sensor;i++){
		lcd_goto(2+i/5,(i%5)*4+1);
		li4(ds1820_val[i]);
	}
}




//--------------- sec --------------------	

if(sec==0){//min
		lcd_goto(1,1);
		lcd_int2(hou);lw(":");
		lcd_int2(min);lw(":");
//+++++++++++++++ min ++++++++++++++++++++	


//--------------- min --------------------	
}//min
}//fb_color_mnu
}//sec
}//while
}//main
//====================================================

#define fb_color_mnu_yellow 0

	
void fb_yellow_mn0(void){
		 lcd_goto(1,1);lcd_write("sensors show...") ;
			ds1820_start_meas();
			wait;
			sensors_show();

}


void fb_yellow_mn1(u8 ir_cmd){

	if(ir_cmd==fb_ok){
		lcd_clear(0);//lcd_write("xxxxxxxxxxxxx") ;
		ir_mnu_status=0;
		fb_yellow_mnu=0;
		ir_cmd=0;
	}
	else
	{
	//yellow-commands++++
	  switch (ir_cmd)
	  {
		case(fb_down):
			if (sel_sensor<ds1820_anz_sensor-1){
				sel_sensor++;
				ds_disp_sens(sel_sensor);
			}
			break;
		  
		case(fb_up):
			if (sel_sensor>0){
				sel_sensor--;
				ds_disp_sens(sel_sensor);
			}
			break;
		case(fb_right):
		sbi(fb_status,st_store);
			if (sel_eep<ds1820_anz_sensor){
			
				eep_show(sel_eep);
				sel_eep++;
				//ds_disp_sens(sel_sensor);
			}
			break;
		  
		case(fb_left):
		sbi(fb_status,st_store);
			if (sel_eep>0){
				sel_eep--;
				eep_show(sel_eep);
				
				
			}
			break;
		
		case(fb_stern):
			if(gbi(fb_status,st_store)){
				//sel_sensor to sel_eep
				
write_id_in_eep (ds1820ids_tmp+(sel_eep-1)*8,sel_sensor);
		
				//x=eep_ds1820_adr+sel_eep*8;
				//eeprom_update_word(x,ds1820_id[sel_sensor]);
					 eeprom_in_array_einlesen();

				ds_disp_sens(sel_sensor);
				
				lcd_goto(cur_alt,16);
//??						lcd_hex16(ds1820_id[sel_sensor]);
				lcd_goto(1,16);
				lcd_int(x);
			}
			break;
		
		case(fb_raute):
//						if(gbi(fb_status,st_store)){
			
				x=eep_ds1820_adr+sel_sensor*8;
				eeprom_update_word(x,0xffff);
				eeprom_update_word(x+2,0xffff);
				eeprom_update_word(x+4,0xffff);
				eeprom_update_word(x+6,0xffff);
					 eeprom_in_array_einlesen();

				ds_disp_sens(sel_sensor);
				lcd_goto(cur_alt,16);
				lcd_hex16(0xffff);
				lcd_goto(1,16);
				lcd_int(x);
//						}
			break;
#if 0		  
#endif		  
	  }
	
	//yellow-commands----
	}


}





void sub_ir_anwendung(uint16_t adrcmd){
if(adrcmd>>8==0xff){//richtige adr

//lcd_goto(1,1);lcd_hx(ir_mnu_status) ;wait;

if( !ir_mnu_status){

	 switch (adrcmd & 0xff)
		{
			case (fb_ok):
				ir_mnu_status=1;
				fb_yellow_mn0();
					
				break;
	  
		}
		
}else{
//		 lcd_goto(1,1);lcd_write("xx...") ;wait;

		if(gbi(ir_mnu_status,fb_color_mnu_yellow)){
			fb_yellow_mn1(adrcmd);
		}
	

	}

}//richtige adr
}
//====================================================



static void init_timer_smh(void) {


TCCR0A |= (1 << COM0A1)|(1 << COM0B1);
TCCR0B |= ti_prescaler_1;//1



    //Compare Interrupt aktivieren
TIMSK0 |= (1<<OCIE0A);

    //Globale Interrupts aktivieren
sei();
}

void timer_proc_10ms(void){
//7812/78 =>9,9846ms
    //led1_tog;
	TIM3_CNT++;//
   timer_smh++;
    if(timeout_timer1)timeout_timer1--;//100Hz f?r sd-karte
	
}



ISR(TIMER0_COMPA_vect)
{
TIM3_CNT++;//~28khz
timer_smh++;
	if(timer_smh>280){
	timer_10ms++;
	timer_smh=0;

	if(down_timer1)down_timer1--;
	
		if(timer_10ms>100){
		//led1_tog;
		sec_change=1;	//timer_smh=0;//timer_smh%1000;
			sec++;//=sectimer_smh/1000;
					if(sec>59){
						sec=sec-60;	min=min+1;
							if(min==60){
								min=0; hou++;
								if(hou==24){hou=0;}
							}
				}
		timer_10ms=0;
		}
	}//10ms
}











//========================================================================
